clang 10.0.0git

Public Member Functions | List of all members
clang::ento::taint::TaintBugVisitor Class Referencefinal

The bug visitor prints a diagnostic message at the location where a given variable was tainted. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/StaticAnalyzer/Checkers/Taint.h"`

Inheritance diagram for clang::ento::taint::TaintBugVisitor:
[legend]
Collaboration diagram for clang::ento::taint::TaintBugVisitor:
[legend]

## Public Member Functions
| TaintBugVisitor (const SVal V)
void | Profile (llvm::FoldingSetNodeID &ID) const override
PathDiagnosticPieceRef | VisitNode (const ExplodedNode *N, BugReporterContext &BRC, PathSensitiveBugReport &BR) override

## Detailed Description

The bug visitor prints a diagnostic message at the location where a given variable was tainted.

Definition at line 89 of file Taint.h.

## Constructor & Destructor Documentation

## ◆ TaintBugVisitor()

clang::ento::taint::TaintBugVisitor::TaintBugVisitor | ( | const SVal | V | ) |
| inline

Definition at line 94 of file Taint.h.

## Member Function Documentation

## ◆ Profile()

void clang::ento::taint::TaintBugVisitor::Profile | ( | llvm::FoldingSetNodeID & | ID | ) | const
| inline override

Definition at line 95 of file Taint.h.

References VisitNode().

## ◆ VisitNode()

PathDiagnosticPieceRef TaintBugVisitor::VisitNode | ( | const ExplodedNode * | N,
|  | BugReporterContext & | BRC,
|  | PathSensitiveBugReport & | BR
| ) |  |
| override

Definition at line 232 of file Taint.cpp.

References clang::ento::PathDiagnosticLocation::asLocation(), clang::ento::PathDiagnosticLocation::createBegin(), clang::ento::ExplodedNode::getFirstPred(), clang::ento::ExplodedNode::getLocationContext(), clang::ento::BugReporterContext::getSourceManager(), clang::ento::ExplodedNode::getState(), clang::ento::ExplodedNode::getStmtForDiagnostics(), clang::ento::taint::isTainted(), clang::SourceLocation::isValid(), and clang::ento::PathDiagnosticLocation::isValid().

Referenced by Profile().

The documentation for this class was generated from the following files:

- lib/StaticAnalyzer/Checkers/Taint.h
- lib/StaticAnalyzer/Checkers/Taint.cpp